[**Flutter ETS API Documentation v1.0.0**](../../../../README.md)

***

# Interface: TextEditingDeltaJson

JSON representation of a text editing delta.

## Properties

### composingBase

> **composingBase**: `number`

The new composing region start position

***

### composingExtent

> **composingExtent**: `number`

The new composing region end position

***

### deltaEnd

> **deltaEnd**: `number`

The end position of the replacement

***

### deltaStart

> **deltaStart**: `number`

The start position of the replacement

***

### deltaText

> **deltaText**: `string`

The replacement text

***

### oldText

> **oldText**: `string`

The text before the change

***

### selectionBase

> **selectionBase**: `number`

The new selection start position

***

### selectionExtent

> **selectionExtent**: `number`

The new selection end position
